# 52. Запит: Отримати дані в сітці з "SoilDataset"

Запит для отримання решітчастих даних з растрового набору даних, пов’язаного з "SoilDataset", як `GEOJSON`  з точками або `GEOTIFF`. Атрибут properties містить всі атрибути набору даних для кожної точки.&#x20;

#### 1. Запросіть файл для експорту

{% hint style="danger" %}
Рекомендовано отримувати лише один набір даних з `sourceDataUrl` за запитом.&#x20;
{% endhint %}

`БезБуфера`, `ПлюсОдинПіксель`, `ПлюсДваПікселі`, `МінусОдинПіксель`, та `МінусДваПікселі` доступні як `буфер`.

`GEOJSON` та `GEOTIFF` доступні як формат.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSoilDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets(soilDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Завантажте згенерований файл

Після успішної підготовки файлу його можна завантажити за допомогою `curl` або подібного підходу.

{% hint style="danger" %}
`sourceDataUrl` посилання доступне лише протягом **60 сек.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/52.-zapit-otrimati-dani-v-sitci-z-soildataset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
